Get the paginated ledger statement
curl --request GET \
--url https://staging-idaas.yourflexpay.com/api/v1/wallet/statement \
--header 'Authorization: Bearer <token>'import requests
url = "https://staging-idaas.yourflexpay.com/api/v1/wallet/statement"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://staging-idaas.yourflexpay.com/api/v1/wallet/statement', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "<string>",
"errorCode": "<string>",
"data": {
"totalElements": 123,
"totalPages": 123,
"first": true,
"last": true,
"size": 123,
"content": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"transactionReference": "<string>",
"entryType": "<string>",
"amount": 123,
"currency": "<string>",
"openingBalance": 123,
"closingBalance": 123,
"description": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
}
],
"number": 123,
"sort": [
{
"direction": "<string>",
"nullHandling": "<string>",
"ascending": true,
"property": "<string>",
"ignoreCase": true
}
],
"numberOfElements": 123,
"pageable": {
"offset": 123,
"sort": [
{
"direction": "<string>",
"nullHandling": "<string>",
"ascending": true,
"property": "<string>",
"ignoreCase": true
}
],
"paged": true,
"unpaged": true,
"pageNumber": 123,
"pageSize": 123
},
"empty": true
},
"errors": [
"<string>"
],
"timestamp": "2023-11-07T05:31:56Z"
}{
"success": true,
"message": "<string>",
"errorCode": "<string>",
"data": {
"totalElements": 123,
"totalPages": 123,
"first": true,
"last": true,
"size": 123,
"content": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"transactionReference": "<string>",
"entryType": "<string>",
"amount": 123,
"currency": "<string>",
"openingBalance": 123,
"closingBalance": 123,
"description": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
}
],
"number": 123,
"sort": [
{
"direction": "<string>",
"nullHandling": "<string>",
"ascending": true,
"property": "<string>",
"ignoreCase": true
}
],
"numberOfElements": 123,
"pageable": {
"offset": 123,
"sort": [
{
"direction": "<string>",
"nullHandling": "<string>",
"ascending": true,
"property": "<string>",
"ignoreCase": true
}
],
"paged": true,
"unpaged": true,
"pageNumber": 123,
"pageSize": 123
},
"empty": true
},
"errors": [
"<string>"
],
"timestamp": "2023-11-07T05:31:56Z"
}Wallet
Get the paginated ledger statement
Returns DEBIT and CREDIT entries for the calling application’s wallet in reverse-chronological order. Each entry includes:
entryType–DEBIT(outgoing) orCREDIT(incoming)amount,currencyopeningBalance/closingBalance– wallet balance before/after the movementdescription– human-readable summary referencing the transactioncreatedAt– when the ledger line was written
GET
/
v1
/
wallet
/
statement
Get the paginated ledger statement
Authorizations
Obtain a token from POST /v1/auth/token using your client_id and client_secret, then enter Bearer <token> here.
Query Parameters
Show child attributes
Show child attributes
⌘I